# Introduction

## Motivation

As web applications evolve, we see more people jumping into the mix bringing their problem to the table for web technologies to solve.

Today's web developers have to deal with a lot more complexity than before when the web was a secondary media and mobile internet access and browsers were too limited.

JavaScript development and web development in general have also changed a lot in the last years, we now have everything we once dreamed about: JavaScript language is finally improving fast, we got a lot of new things with ES6, HTML5 and CSS3, and this time we don't need to wait for browser vendors to implement the latest language improvements for us to start using them. Also running JavaScript on the backend is now a reality.

That being said, it's time for us to bring back sanity, simplicity and control to our application development stack. Thinking in ways of how we could achieve that, we created **Redux Boot**.

Redux Boot is a way for creating modularized and universal systems on top of [Redux](http://redux.js.org/), which have their state fully under control. Redux Boot also reduce boilerplate code compared to standard Redux's stacks.
 
## Principles

Based on the Functional Programming principles / paradigms.

1. Changes of the state are explicit.
2. Eliminate redundant code.
3. Stateless functions (no `this` keyword).
4. Side-effects, are reactions from dispatched actions.
5. The value of variables are immutable. Create a new value instead of changing it.
6. Modules and functions should have just one purpose.
7. Keep logic stateless.

